쪽지 전송 (XChat v3)
쪽지 전송 (XChat v3).
API 참조로 돌아가기
/DM Endpoints
POST
/v3/twitter/send-dmAPI 인증
AuthorizationBearer token · header필수TwexAPI 전역 인증 토큰 (Bearer Token). 헤더에 포함되어야 합니다: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
요청 본문
필수application/jsonrecipientstring필수User id, @handle, or a group id (g...) for an existing group.
textstring필수메시지 본문
media_urlsstring[] | any첨부할 공개 이미지/동영상 URL 목록 (최대 사진 4장 또는 영상 1개)
속성 표시속성 숨기기
Any of:
string[]
Array of
stringstringany
anyvideo_urlstring | anyPublic http(s) URL of one video to attach (mutually exclusive with image).
속성 표시속성 숨기기
Any of:
string
stringany
anypinstring | anyIdentity PIN (default 1234).
default: "1234"
속성 표시속성 숨기기
Any of:
string
stringany
anycookiestring필수사용자가 직접 승인한 Twitter 세션 자격 증명 또는 auth_token (BYOC — Bring Your Own Cookie). 자격 증명은 저장되지 않으며 무상태 프록시로만 실행됩니다. 자세한 내용은 [인증 및 보안 안내](/ko/authentication#write-operations--byoc-bring-your-own-cookie) 및 [쿠키 확인 방법](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie)을 참조하세요.
proxystring | anyOptional HTTP proxy. Example: http://username:password@ip:port
속성 표시속성 숨기기
Any of:
string
stringany
any응답
200A message object.
codeinteger필수HTTP 상태 코드 (200은 성공)
msgstring필수응답 메시지 (예: 'success')
dataMessageModel | any필수엔드포인트가 반환한 핵심 데이터
속성 표시속성 숨기기
Any of:
MessageModel
idstring필수Message ID
textstring필수메시지 본문
timestring필수Message time
attachmentobject | anyMessage attachment
속성 표시속성 숨기기
Any of:
object
objectany
anyattachmentsobject[] | anyXChat media attachments (v3).
속성 표시속성 숨기기
Any of:
object[]
Array of
objectobjectany
anysequence_idstring | anyXChat sequence id. Use the oldest message's sequence_id as before for pagination.
속성 표시속성 숨기기
Any of:
string
stringany
anysender_idstring | anySender ID
속성 표시속성 숨기기
Any of:
string
stringany
anyrecipient_idstring | any쪽지 수신자 사용자 ID
속성 표시속성 숨기기
Any of:
string
stringany
anyany
any422요청 매개변수 유효성 검사 오류
detailValidationError[]속성 표시속성 숨기기
Array of
ValidationErrorlocstring | integer[]필수속성 표시속성 숨기기
Array of
string | integerAny of:
string
stringinteger
integermsgstring필수응답 메시지 (예: 'success')
typestring필수inputanyctxobject⚡대화형 콘솔POST
⚡대화형 콘솔 / API 테스트POSTLive Console
🌐대상 서버:
https://api.twexapi.io● 프로덕션 준비 완료
✍️
쓰기 작업 인증 정보 가이드 (TwexAPI 키 + Twitter 쿠키)
1. TwexAPI 플랫폼 키 (Bearer Token): 요청 과금 및 인증을 위해 아래 "API 인증"에 입력하세요.
2. Twitter 계정 쿠키: 트윗, 좋아요, 팔로우 등 쓰기 작업을 위해 아래 요청 본문의 cookie 필드에 쿠키(예: auth_token=...; ct0=...)를 입력하세요.
🔑API 인증
📝요청 본문application/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
요청 예시
curl -X POST "https://api.twexapi.io/v3/twitter/send-dm" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"recipient": "baker_donn80196",
"text": "hello from docs",
"media_urls": [
"https://example.com/image.jpg"
],
"video_url": "https://video.twimg.com/amplify_video/2077160248830275584/vid/avc1/320x568/kwNDLTm",
"pin": "1234",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}'const response = await fetch("https://api.twexapi.io/v3/twitter/send-dm", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"recipient": "baker_donn80196",
"text": "hello from docs",
"media_urls": [
"https://example.com/image.jpg"
],
"video_url": "https://video.twimg.com/amplify_video/2077160248830275584/vid/avc1/320x568/kwNDLTm",
"pin": "1234",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
})
});import requests
response = requests.post(
"https://api.twexapi.io/v3/twitter/send-dm",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"recipient": "baker_donn80196",
"text": "hello from docs",
"media_urls": [
"https://example.com/image.jpg"
],
"video_url": "https://video.twimg.com/amplify_video/2077160248830275584/vid/avc1/320x568/kwNDLTm",
"pin": "1234",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
},
)응답 예시
{
"code": 200,
"msg": "success",
"data": {
"attachment": {
"type": "image",
"url": "https://example.com/image.jpg"
},
"id": "1234567890123456789",
"text": "Hello, how are you?",
"time": "2024-01-01T12:00:00Z"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}